io.flutter.view

## Class FlutterView

- java.lang.Object
- - android.view.View
  - - android.view.SurfaceView
    - - io.flutter.view.FlutterView

- All Implemented Interfaces:
    Drawable.Callback, AccessibilityEventSource, KeyEvent.Callback, BinaryMessenger, io.flutter.plugin.mouse.MouseCursorPlugin.MouseCursorViewDelegate, TextureRegistry

  Deprecated.
  `FlutterView` is the new API that now replaces this class. See https://flutter.dev/go/android-project-migration for more migration details.

      @Deprecated
      public class FlutterView
      extends SurfaceView
      implements BinaryMessenger, TextureRegistry, io.flutter.plugin.mouse.MouseCursorPlugin.MouseCursorViewDelegate

  Deprecated Android view containing a Flutter app.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `FlutterView.FirstFrameListener` Deprecated. Listener will be called on the Android UI thread once when Flutter renders the first frame.
    `static interface` | `FlutterView.Provider` Deprecated. Interface for those objects that maintain and expose a reference to a `FlutterView` (such as a full-screen Flutter activity).

    - ### Nested classes/interfaces inherited from class android.view.View

      `View.AccessibilityDelegate, View.AutofillFlags, View.AutofillImportance, View.AutofillType, View.BaseSavedState, View.DragShadowBuilder, View.DrawingCacheQuality, View.FindViewFlags, View.Focusable, View.FocusableMode, View.FocusDirection, View.FocusRealDirection, View.LayoutDir, View.MeasureSpec, View.OnApplyWindowInsetsListener, View.OnAttachStateChangeListener, View.OnCapturedPointerListener, View.OnClickListener, View.OnContextClickListener, View.OnCreateContextMenuListener, View.OnDragListener, View.OnFocusChangeListener, View.OnGenericMotionListener, View.OnHoverListener, View.OnKeyListener, View.OnLayoutChangeListener, View.OnLongClickListener, View.OnScrollChangeListener, View.OnSystemUiVisibilityChangeListener, View.OnTouchListener, View.OnUnhandledKeyEventListener, View.ResolvedLayoutDir, View.ScrollBarStyle, View.ScrollIndicators, View.TextAlignment, View.Visibility`

    - ### Nested classes/interfaces inherited from interface io.flutter.plugin.common.BinaryMessenger

      `BinaryMessenger.BinaryMessageHandler, BinaryMessenger.BinaryReply`

    - ### Nested classes/interfaces inherited from interface io.flutter.view.TextureRegistry

      `TextureRegistry.SurfaceTextureEntry`

  - ### Field Summary

    - ### Fields inherited from class android.view.View

      `ACCESSIBILITY_CURSOR_POSITION_UNDEFINED, ACCESSIBILITY_LIVE_REGION_ASSERTIVE, ACCESSIBILITY_LIVE_REGION_NONE, ACCESSIBILITY_LIVE_REGION_POLITE, ALPHA, AUTOFILL_FLAG_INCLUDE_NOT_IMPORTANT_VIEWS, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_DATE, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_DAY, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_MONTH, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_YEAR, AUTOFILL_HINT_CREDIT_CARD_NUMBER, AUTOFILL_HINT_CREDIT_CARD_SECURITY_CODE, AUTOFILL_HINT_EMAIL_ADDRESS, AUTOFILL_HINT_NAME, AUTOFILL_HINT_PASSWORD, AUTOFILL_HINT_PHONE, AUTOFILL_HINT_POSTAL_ADDRESS, AUTOFILL_HINT_POSTAL_CODE, AUTOFILL_HINT_USERNAME, AUTOFILL_TYPE_DATE, AUTOFILL_TYPE_LIST, AUTOFILL_TYPE_NONE, AUTOFILL_TYPE_TEXT, AUTOFILL_TYPE_TOGGLE, DEBUG_DRAW, DEBUG_LAYOUT_PROPERTY, DRAG_FLAG_GLOBAL, DRAG_FLAG_GLOBAL_PERSISTABLE_URI_PERMISSION, DRAG_FLAG_GLOBAL_PREFIX_URI_PERMISSION, DRAG_FLAG_GLOBAL_URI_READ, DRAG_FLAG_GLOBAL_URI_WRITE, DRAG_FLAG_OPAQUE, DRAWING_CACHE_QUALITY_AUTO, DRAWING_CACHE_QUALITY_HIGH, DRAWING_CACHE_QUALITY_LOW, EMPTY_STATE_SET, ENABLED_FOCUSED_SELECTED_STATE_SET, ENABLED_FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, ENABLED_FOCUSED_STATE_SET, ENABLED_FOCUSED_WINDOW_FOCUSED_STATE_SET, ENABLED_SELECTED_STATE_SET, ENABLED_SELECTED_WINDOW_FOCUSED_STATE_SET, ENABLED_STATE_SET, ENABLED_WINDOW_FOCUSED_STATE_SET, FIND_VIEWS_WITH_ACCESSIBILITY_NODE_PROVIDERS, FIND_VIEWS_WITH_CONTENT_DESCRIPTION, FIND_VIEWS_WITH_TEXT, FOCUS_BACKWARD, FOCUS_DOWN, FOCUS_FORWARD, FOCUS_LEFT, FOCUS_RIGHT, FOCUS_UP, FOCUSABLE, FOCUSABLE_AUTO, FOCUSABLES_ALL, FOCUSABLES_TOUCH_MODE, FOCUSED_SELECTED_STATE_SET, FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, FOCUSED_STATE_SET, FOCUSED_WINDOW_FOCUSED_STATE_SET, GONE, HAPTIC_FEEDBACK_ENABLED, IMPORTANT_FOR_ACCESSIBILITY_AUTO, IMPORTANT_FOR_ACCESSIBILITY_NO, IMPORTANT_FOR_ACCESSIBILITY_NO_HIDE_DESCENDANTS, IMPORTANT_FOR_ACCESSIBILITY_YES, IMPORTANT_FOR_AUTOFILL_AUTO, IMPORTANT_FOR_AUTOFILL_NO, IMPORTANT_FOR_AUTOFILL_NO_EXCLUDE_DESCENDANTS, IMPORTANT_FOR_AUTOFILL_YES, IMPORTANT_FOR_AUTOFILL_YES_EXCLUDE_DESCENDANTS, INVISIBLE, KEEP_SCREEN_ON, LAST_APP_AUTOFILL_ID, LAYER_TYPE_HARDWARE, LAYER_TYPE_NONE, LAYER_TYPE_SOFTWARE, LAYOUT_DIRECTION_INHERIT, LAYOUT_DIRECTION_LOCALE, LAYOUT_DIRECTION_LTR, LAYOUT_DIRECTION_RTL, LAYOUT_DIRECTION_UNDEFINED, mAttributes, mBottom, mCachingFailed, mContext, mCurrentAnimation, mDebugViewAttributes, MEASURED_HEIGHT_STATE_SHIFT, MEASURED_SIZE_MASK, MEASURED_STATE_MASK, MEASURED_STATE_TOO_SMALL, mInputEventConsistencyVerifier, mLayoutParams, mLeft, mPaddingBottom, mPaddingLeft, mPaddingRight, mPaddingTop, mParent, mPrivateFlags, mRight, mScrollX, mScrollY, mTag, mTop, mTransformationInfo, mUserPaddingBottom, mUserPaddingLeft, mUserPaddingRight, NAVIGATION_BAR_TRANSIENT, NAVIGATION_BAR_TRANSLUCENT, NAVIGATION_BAR_TRANSPARENT, NAVIGATION_BAR_UNHIDE, NO_ID, NOT_FOCUSABLE, OVER_SCROLL_ALWAYS, OVER_SCROLL_IF_CONTENT_SCROLLS, OVER_SCROLL_NEVER, PRESSED_ENABLED_FOCUSED_SELECTED_STATE_SET, PRESSED_ENABLED_FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_ENABLED_FOCUSED_STATE_SET, PRESSED_ENABLED_FOCUSED_WINDOW_FOCUSED_STATE_SET, PRESSED_ENABLED_SELECTED_STATE_SET, PRESSED_ENABLED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_ENABLED_STATE_SET, PRESSED_ENABLED_WINDOW_FOCUSED_STATE_SET, PRESSED_FOCUSED_SELECTED_STATE_SET, PRESSED_FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_FOCUSED_STATE_SET, PRESSED_FOCUSED_WINDOW_FOCUSED_STATE_SET, PRESSED_SELECTED_STATE_SET, PRESSED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_STATE_SET, PRESSED_WINDOW_FOCUSED_STATE_SET, PUBLIC_STATUS_BAR_VISIBILITY_MASK, ROTATION, ROTATION_X, ROTATION_Y, SCALE_X, SCALE_Y, SCREEN_STATE_OFF, SCREEN_STATE_ON, SCROLL_AXIS_HORIZONTAL, SCROLL_AXIS_NONE, SCROLL_AXIS_VERTICAL, SCROLL_INDICATOR_BOTTOM, SCROLL_INDICATOR_END, SCROLL_INDICATOR_LEFT, SCROLL_INDICATOR_RIGHT, SCROLL_INDICATOR_START, SCROLL_INDICATOR_TOP, SCROLLBAR_POSITION_DEFAULT, SCROLLBAR_POSITION_LEFT, SCROLLBAR_POSITION_RIGHT, SCROLLBARS_INSIDE_INSET, SCROLLBARS_INSIDE_OVERLAY, SCROLLBARS_OUTSIDE_INSET, SCROLLBARS_OUTSIDE_OVERLAY, SELECTED_STATE_SET, SELECTED_WINDOW_FOCUSED_STATE_SET, SOUND_EFFECTS_ENABLED, sPreserveMarginParamsInLayoutParamConversion, STATUS_BAR_DISABLE_BACK, STATUS_BAR_DISABLE_CLOCK, STATUS_BAR_DISABLE_EXPAND, STATUS_BAR_DISABLE_HOME, STATUS_BAR_DISABLE_NOTIFICATION_ALERTS, STATUS_BAR_DISABLE_NOTIFICATION_ICONS, STATUS_BAR_DISABLE_NOTIFICATION_TICKER, STATUS_BAR_DISABLE_RECENT, STATUS_BAR_DISABLE_SEARCH, STATUS_BAR_DISABLE_SYSTEM_INFO, STATUS_BAR_HIDDEN, STATUS_BAR_TRANSIENT, STATUS_BAR_TRANSLUCENT, STATUS_BAR_TRANSPARENT, STATUS_BAR_UNHIDE, STATUS_BAR_VISIBLE, SYSTEM_UI_CLEARABLE_FLAGS, SYSTEM_UI_FLAG_FULLSCREEN, SYSTEM_UI_FLAG_HIDE_NAVIGATION, SYSTEM_UI_FLAG_IMMERSIVE, SYSTEM_UI_FLAG_IMMERSIVE_STICKY, SYSTEM_UI_FLAG_LAYOUT_FULLSCREEN, SYSTEM_UI_FLAG_LAYOUT_HIDE_NAVIGATION, SYSTEM_UI_FLAG_LAYOUT_STABLE, SYSTEM_UI_FLAG_LIGHT_NAVIGATION_BAR, SYSTEM_UI_FLAG_LIGHT_STATUS_BAR, SYSTEM_UI_FLAG_LOW_PROFILE, SYSTEM_UI_FLAG_VISIBLE, SYSTEM_UI_LAYOUT_FLAGS, SYSTEM_UI_TRANSPARENT, TEXT_ALIGNMENT_CENTER, TEXT_ALIGNMENT_GRAVITY, TEXT_ALIGNMENT_INHERIT, TEXT_ALIGNMENT_TEXT_END, TEXT_ALIGNMENT_TEXT_START, TEXT_ALIGNMENT_VIEW_END, TEXT_ALIGNMENT_VIEW_START, TEXT_DIRECTION_ANY_RTL, TEXT_DIRECTION_FIRST_STRONG, TEXT_DIRECTION_FIRST_STRONG_LTR, TEXT_DIRECTION_FIRST_STRONG_RTL, TEXT_DIRECTION_INHERIT, TEXT_DIRECTION_LOCALE, TEXT_DIRECTION_LTR, TEXT_DIRECTION_RTL, TRANSLATION_X, TRANSLATION_Y, TRANSLATION_Z, VIEW_LOG_TAG, VISIBLE, WINDOW_FOCUSED_STATE_SET, X, Y, Z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlutterView(Context context)` Deprecated.
    `FlutterView(Context context, AttributeSet attrs)` Deprecated.
    `FlutterView(Context context, AttributeSet attrs, FlutterNativeView nativeView)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActivityLifecycleListener(ActivityLifecycleListener listener)` Deprecated.
    `void` | `addFirstFrameListener(FlutterView.FirstFrameListener listener)` Deprecated. Provide a listener that will be called once when the FlutterView renders its first frame to the underlaying SurfaceView.
    `void` | `autofill(SparseArray<AutofillValue> values)` Deprecated.
    `boolean` | `checkInputConnectionProxy(View view)` Deprecated.
    `TextureRegistry.SurfaceTextureEntry` | `createSurfaceTexture()` Deprecated. Creates and registers a SurfaceTexture managed by the Flutter engine.
    `void` | `destroy()` Deprecated.
    `FlutterNativeView` | `detach()` Deprecated.
    `void` | `disableTransparentBackground()` Deprecated. Reverts this back to the `SurfaceView` defaults, at the back of its window and opaque.
    `boolean` | `dispatchKeyEvent(KeyEvent event)` Deprecated.
    `void` | `enableTransparentBackground()` Deprecated. FlutterView in the v1 embedding is always a SurfaceView and will cover accessibility highlights when transparent. Consider migrating to the v2 Android embedding, using `FlutterView.RenderMode.texture`, and setting `FlutterView.TransparencyMode.transparent`. See also https://github.com/flutter/flutter/wiki/Upgrading-pre-1.12-Android-projects.
    `protected boolean` | `fitSystemWindows(Rect insets)` Deprecated.
    `AccessibilityNodeProvider` | `getAccessibilityNodeProvider()` Deprecated.
    `Bitmap` | `getBitmap()` Deprecated. Return the most recent frame as a bitmap.
    `DartExecutor` | `getDartExecutor()` Deprecated.
    `FlutterNativeView` | `getFlutterNativeView()` Deprecated.
    `String` | `getLookupKeyForAsset(String asset)` Deprecated.
    `String` | `getLookupKeyForAsset(String asset, String packageName)` Deprecated.
    `FlutterPluginRegistry` | `getPluginRegistry()` Deprecated.
    `PointerIcon` | `getSystemPointerIcon(int type)` Deprecated. Gets a system pointer icon object for the given `type`.
    `boolean` | `hasRenderedFirstFrame()` Deprecated. Returns true if the Flutter experience associated with this `FlutterView` has rendered its first frame, or false otherwise.
    `WindowInsets` | `onApplyWindowInsets(WindowInsets insets)` Deprecated.
    `protected void` | `onAttachedToWindow()` Deprecated.
    `protected void` | `onConfigurationChanged(Configuration newConfig)` Deprecated.
    `InputConnection` | `onCreateInputConnection(EditorInfo outAttrs)` Deprecated.
    `protected void` | `onDetachedFromWindow()` Deprecated.
    `void` | `onFirstFrame()` Deprecated.
    `boolean` | `onGenericMotionEvent(MotionEvent event)` Deprecated. Invoked by Android when a generic motion event occurs, e.g., joystick movement, mouse hover, track pad touches, scroll wheel movements, etc.
    `boolean` | `onHoverEvent(MotionEvent event)` Deprecated.
    `void` | `onMemoryPressure()` Deprecated.
    `void` | `onPause()` Deprecated.
    `void` | `onPostResume()` Deprecated.
    `void` | `onProvideAutofillVirtualStructure(ViewStructure structure, int flags)` Deprecated.
    `protected void` | `onSizeChanged(int width, int height, int oldWidth, int oldHeight)` Deprecated.
    `void` | `onStart()` Deprecated.
    `void` | `onStop()` Deprecated.
    `boolean` | `onTouchEvent(MotionEvent event)` Deprecated.
    `void` | `popRoute()` Deprecated.
    `void` | `pushRoute(String route)` Deprecated.
    `void` | `removeFirstFrameListener(FlutterView.FirstFrameListener listener)` Deprecated. Remove an existing first frame listener.
    `void` | `runFromBundle(FlutterRunArguments args)` Deprecated.
    `void` | `send(String channel, ByteBuffer message)` Deprecated. Sends a binary message to the Flutter application.
    `void` | `send(String channel, ByteBuffer message, BinaryMessenger.BinaryReply callback)` Deprecated. Sends a binary message to the Flutter application, optionally expecting a reply.
    `void` | `setInitialRoute(String route)` Deprecated.
    `void` | `setMessageHandler(String channel, BinaryMessenger.BinaryMessageHandler handler)` Deprecated. Registers a handler to be invoked when the Flutter application sends a message to its host platform.

    - ### Methods inherited from class android.view.SurfaceView

      `applyChildSurfaceTransaction_renderWorker, dispatchDraw, draw, gatherTransparentRegion, getHolder, isFixedSize, onMeasure, onWindowVisibilityChanged, setFrame, setResizeBackgroundColor, setSecure, setVisibility, setZOrderMediaOverlay, setZOrderOnTop, surfacePositionLost_uiRtSync, updateSurface, updateSurfacePosition_renderWorker, windowStopped`

    - ### Methods inherited from class android.view.View

      `addChildrenForAccessibility, addExtraDataToAccessibilityNodeInfo, addFocusables, addFocusables, addFrameMetricsListener, addKeyboardNavigationClusters, addOnAttachStateChangeListener, addOnLayoutChangeListener, addOnUnhandledKeyEventListener, addTouchables, animate, announceForAccessibility, applyDrawableToTransparentRegion, autofill, awakenScrollBars, awakenScrollBars, awakenScrollBars, bringToFront, buildDrawingCache, buildDrawingCache, buildLayer, callOnClick, cancelDragAndDrop, cancelLongPress, cancelPendingInputEvents, canHaveDisplayList, canNotifyAutofillEnterExitEvent, canResolveLayoutDirection, canResolveTextAlignment, canResolveTextDirection, canScrollHorizontally, canScrollVertically, captureTransitioningViews, clearAccessibilityFocus, clearAnimation, clearFocus, combineMeasuredStates, computeFitSystemWindows, computeHorizontalScrollExtent, computeHorizontalScrollOffset, computeHorizontalScrollRange, computeOpaqueFlags, computeScroll, computeSystemWindowInsets, computeVerticalScrollExtent, computeVerticalScrollOffset, computeVerticalScrollRange, createAccessibilityNodeInfo, createAccessibilityNodeInfoInternal, createContextMenu, createSnapshot, damageInParent, debug, debug, debugIndent, destroyDrawingCache, destroyHardwareResources, dispatchActivityResult, dispatchApplyWindowInsets, dispatchCapturedPointerEvent, dispatchConfigurationChanged, dispatchDisplayHint, dispatchDragEvent, dispatchDrawableHotspotChanged, dispatchFinishTemporaryDetach, dispatchGenericFocusedEvent, dispatchGenericMotionEvent, dispatchGenericPointerEvent, dispatchGetDisplayList, dispatchHoverEvent, dispatchKeyEventPreIme, dispatchKeyShortcutEvent, dispatchNestedFling, dispatchNestedPreFling, dispatchNestedPrePerformAccessibilityAction, dispatchNestedPreScroll, dispatchNestedScroll, dispatchPointerCaptureChanged, dispatchPointerEvent, dispatchPopulateAccessibilityEvent, dispatchPopulateAccessibilityEventInternal, dispatchProvideAutofillStructure, dispatchProvideStructure, dispatchRestoreInstanceState, dispatchSaveInstanceState, dispatchSetActivated, dispatchSetPressed, dispatchSetSelected, dispatchStartTemporaryDetach, dispatchSystemUiVisibilityChanged, dispatchTouchEvent, dispatchTrackballEvent, dispatchUnhandledMove, dispatchVisibilityChanged, dispatchWindowFocusChanged, dispatchWindowSystemUiVisiblityChanged, dispatchWindowVisibilityChanged, drawableHotspotChanged, drawableStateChanged, encode, encodeProperties, findFocus, findNamedViews, findViewByAccessibilityIdTraversal, findViewByAutofillIdTraversal, findViewById, findViewByPredicate, findViewByPredicateInsideOut, findViewByPredicateTraversal, findViewsWithText, findViewTraversal, findViewWithTag, findViewWithTagTraversal, fitsSystemWindows, focusSearch, forceHasOverlappingRendering, forceLayout, generateViewId, getAccessibilityClassName, getAccessibilityDelegate, getAccessibilityLiveRegion, getAccessibilityPaneTitle, getAccessibilitySelectionEnd, getAccessibilitySelectionStart, getAccessibilityTraversalAfter, getAccessibilityTraversalBefore, getAccessibilityViewId, getAccessibilityWindowId, getAlpha, getAnimation, getApplicationWindowToken, getAutofillHints, getAutofillId, getAutofillType, getAutofillValue, getAutofillViewId, getBackground, getBackgroundTintList, getBackgroundTintMode, getBaseline, getBottom, getBottomFadingEdgeStrength, getBottomPaddingOffset, getBoundsOnScreen, getBoundsOnScreen, getCameraDistance, getClipBounds, getClipBounds, getClipToOutline, getContentDescription, getContext, getContextMenuInfo, getDefaultFocusHighlightEnabled, getDefaultSize, getDisplay, getDrawableState, getDrawingCache, getDrawingCache, getDrawingCacheBackgroundColor, getDrawingCacheQuality, getDrawingRect, getDrawingTime, getElevation, getFadeHeight, getFadeTop, getFilterTouchesWhenObscured, getFitsSystemWindows, getFocusable, getFocusables, getFocusedRect, getForeground, getForegroundGravity, getForegroundTintList, getForegroundTintMode, getGlobalVisibleRect, getGlobalVisibleRect, getHandler, getHasOverlappingRendering, getHeight, getHitRect, getHorizontalFadingEdgeLength, getHorizontalScrollbarHeight, getHorizontalScrollFactor, getHotspotBounds, getId, getImportantForAccessibility, getImportantForAutofill, getInverseMatrix, getIterableTextForAccessibility, getIteratorForGranularity, getKeepScreenOn, getKeyDispatcherState, getLabelFor, getLayerType, getLayoutDirection, getLayoutParams, getLeft, getLeftFadingEdgeStrength, getLeftPaddingOffset, getLocalVisibleRect, getLocationInSurface, getLocationInWindow, getLocationOnScreen, getLocationOnScreen, getMatrix, getMeasuredHeight, getMeasuredHeightAndState, getMeasuredState, getMeasuredWidth, getMeasuredWidthAndState, getMinimumHeight, getMinimumWidth, getNextClusterForwardId, getNextFocusDownId, getNextFocusForwardId, getNextFocusLeftId, getNextFocusRightId, getNextFocusUpId, getOnFocusChangeListener, getOpticalInsets, getOutlineAmbientShadowColor, getOutlineProvider, getOutlineSpotShadowColor, getOutsets, getOverlay, getOverScrollMode, getPaddingBottom, getPaddingEnd, getPaddingLeft, getPaddingRight, getPaddingStart, getPaddingTop, getParent, getParentForAccessibility, getPivotX, getPivotY, getPointerIcon, getRawLayoutDirection, getRawTextAlignment, getRawTextDirection, getResources, getRevealOnFocusHint, getRight, getRightFadingEdgeStrength, getRightPaddingOffset, getRootView, getRootWindowInsets, getRotation, getRotationX, getRotationY, getScaleX, getScaleY, getScrollBarDefaultDelayBeforeFade, getScrollBarFadeDuration, getScrollBarSize, getScrollBarStyle, getScrollIndicators, getScrollX, getScrollY, getSolidColor, getStateListAnimator, getSuggestedMinimumHeight, getSuggestedMinimumWidth, getSystemUiVisibility, getTag, getTag, getTextAlignment, getTextDirection, getThreadedRenderer, getTooltip, getTooltipText, getTooltipView, getTop, getTopFadingEdgeStrength, getTopPaddingOffset, getTouchables, getTouchDelegate, getTransitionAlpha, getTransitionName, getTranslationX, getTranslationY, getTranslationZ, getVerticalFadingEdgeLength, getVerticalScrollbarPosition, getVerticalScrollbarWidth, getVerticalScrollFactor, getViewRootImpl, getViewTreeObserver, getVisibility, getWidth, getWindow, getWindowAttachCount, getWindowDisplayFrame, getWindowId, getWindowSystemUiVisibility, getWindowToken, getWindowVisibility, getWindowVisibleDisplayFrame, getX, getY, getZ, handleScrollBarDragging, hasExplicitFocusable, hasFocus, hasFocusable, hasHoveredChild, hasNestedScrollingParent, hasOnClickListeners, hasOpaqueScrollbars, hasOverlappingRendering, hasPointerCapture, hasShadow, hasTransientState, hasWindowFocus, includeForAccessibility, inflate, initializeFadingEdge, initializeFadingEdgeInternal, initializeScrollbars, initializeScrollbarsInternal, internalSetPadding, invalidate, invalidate, invalidate, invalidate, invalidateDrawable, invalidateOutline, invalidateParentCaches, invalidateParentIfNeeded, invalidateParentIfNeededAndWasQuickRejected, isAccessibilityFocused, isAccessibilityHeading, isAccessibilitySelectionExtendable, isActionableForAccessibility, isActivated, isAssistBlocked, isAttachedToWindow, isAutofilled, isClickable, isContextClickable, isDefaultFocusHighlightEnabled, isDefaultFocusHighlightNeeded, isDirty, isDrawingCacheEnabled, isDuplicateParentStateEnabled, isEnabled, isFocusable, isFocusableInTouchMode, isFocused, isFocusedByDefault, isForegroundInsidePadding, isHapticFeedbackEnabled, isHardwareAccelerated, isHorizontalFadingEdgeEnabled, isHorizontalScrollBarEnabled, isHovered, isImportantForAccessibility, isImportantForAutofill, isInEditMode, isInLayout, isInScrollingContainer, isInTouchMode, isKeyboardNavigationCluster, isLaidOut, isLayoutDirectionInherited, isLayoutDirectionResolved, isLayoutModeOptical, isLayoutRequested, isLayoutRtl, isLongClickable, isNestedScrollingEnabled, isOpaque, isPaddingOffsetRequired, isPaddingRelative, isPivotSet, isPressed, isRootNamespace, isSaveEnabled, isSaveFromParentEnabled, isScreenReaderFocusable, isScrollbarFadingEnabled, isScrollContainer, isSelected, isShown, isSoundEffectsEnabled, isTemporarilyDetached, isTextAlignmentInherited, isTextAlignmentResolved, isTextDirectionInherited, isTextDirectionResolved, isVerticalFadingEdgeEnabled, isVerticalScrollBarEnabled, isVerticalScrollBarHidden, isVisibleToUser, isVisibleToUser, isVisibleToUserForAutofill, jumpDrawablesToCurrentState, keyboardNavigationClusterSearch, layout, makeOptionalFitsSystemWindows, mapRectFromViewToScreenCoords, measure, mergeDrawableStates, notifyEnterOrExitForAutoFillIfNeeded, notifySubtreeAccessibilityStateChangedIfNeeded, notifyViewAccessibilityStateChangedIfNeeded, offsetLeftAndRight, offsetTopAndBottom, onActivityResult, onAnimationEnd, onAnimationStart, onCancelPendingInputEvents, onCapturedPointerEvent, onCheckIsTextEditor, onCloseSystemDialogs, onCreateContextMenu, onCreateDrawableState, onDetachedFromWindowInternal, onDisplayHint, onDragEvent, onDraw, onDrawForeground, onDrawHorizontalScrollBar, onDrawScrollBars, onDrawVerticalScrollBar, onFilterTouchEventForSecurity, onFinishInflate, onFinishTemporaryDetach, onFocusChanged, onFocusLost, onHoverChanged, onInitializeAccessibilityEvent, onInitializeAccessibilityEventInternal, onInitializeAccessibilityNodeInfo, onInitializeAccessibilityNodeInfoInternal, onKeyDown, onKeyLongPress, onKeyMultiple, onKeyPreIme, onKeyShortcut, onKeyUp, onLayout, onMovedToDisplay, onOverScrolled, onPointerCaptureChange, onPopulateAccessibilityEvent, onPopulateAccessibilityEventInternal, onProvideAutofillStructure, onProvideStructure, onProvideVirtualStructure, onResolveDrawables, onResolvePointerIcon, onRestoreInstanceState, onRtlPropertiesChanged, onSaveInstanceState, onScreenStateChanged, onScrollChanged, onSetAlpha, onStartTemporaryDetach, onTrackballEvent, onVisibilityAggregated, onVisibilityChanged, onWindowFocusChanged, onWindowSystemUiVisibilityChanged, outputDirtyFlags, overScrollBy, performAccessibilityAction, performAccessibilityActionInternal, performButtonActionOnTouchDown, performClick, performContextClick, performContextClick, performHapticFeedback, performHapticFeedback, performLongClick, performLongClick, playSoundEffect, pointInView, post, postDelayed, postInvalidate, postInvalidate, postInvalidateDelayed, postInvalidateDelayed, postInvalidateOnAnimation, postInvalidateOnAnimation, postOnAnimation, postOnAnimationDelayed, recomputePadding, refreshDrawableState, releasePointerCapture, removeCallbacks, removeFrameMetricsListener, removeOnAttachStateChangeListener, removeOnLayoutChangeListener, removeOnUnhandledKeyEventListener, requestAccessibilityFocus, requestApplyInsets, requestFitSystemWindows, requestFocus, requestFocus, requestFocus, requestFocusFromTouch, requestKeyboardShortcuts, requestLayout, requestPointerCapture, requestRectangleOnScreen, requestRectangleOnScreen, requestUnbufferedDispatch, requireViewById, resetPaddingToInitialValues, resetPivot, resetResolvedDrawables, resetResolvedLayoutDirection, resetResolvedPadding, resetResolvedTextAlignment, resetResolvedTextDirection, resetRtlProperties, resolveDrawables, resolveLayoutDirection, resolveLayoutParams, resolvePadding, resolveRtlPropertiesIfNeeded, resolveSize, resolveSizeAndState, resolveTextAlignment, resolveTextDirection, restoreDefaultFocus, restoreFocusInCluster, restoreFocusNotInCluster, restoreHierarchyState, saveHierarchyState, scheduleDrawable, scrollBy, scrollTo, sendAccessibilityEvent, sendAccessibilityEventInternal, sendAccessibilityEventUnchecked, sendAccessibilityEventUncheckedInternal, setAccessibilityDelegate, setAccessibilityHeading, setAccessibilityLiveRegion, setAccessibilityPaneTitle, setAccessibilitySelection, setAccessibilityTraversalAfter, setAccessibilityTraversalBefore, setActivated, setAlpha, setAnimation, setAnimationMatrix, setAssistBlocked, setAutofilled, setAutofillHints, setAutofillId, setBackground, setBackgroundColor, setBackgroundDrawable, setBackgroundResource, setBackgroundTintList, setBackgroundTintMode, setBottom, setCameraDistance, setClickable, setClipBounds, setClipToOutline, setContentDescription, setContextClickable, setDefaultFocusHighlightEnabled, setDisabledSystemUiVisibility, setDrawingCacheBackgroundColor, setDrawingCacheEnabled, setDrawingCacheQuality, setDuplicateParentStateEnabled, setElevation, setEnabled, setFadingEdgeLength, setFilterTouchesWhenObscured, setFitsSystemWindows, setFocusable, setFocusable, setFocusableInTouchMode, setFocusedByDefault, setFocusedInCluster, setForeground, setForegroundGravity, setForegroundTintList, setForegroundTintMode, setHapticFeedbackEnabled, setHasTransientState, setHorizontalFadingEdgeEnabled, setHorizontalScrollBarEnabled, setHovered, setId, setImportantForAccessibility, setImportantForAutofill, setIsRootNamespace, setKeepScreenOn, setKeyboardNavigationCluster, setLabelFor, setLayerPaint, setLayerType, setLayoutDirection, setLayoutParams, setLeft, setLeftTopRightBottom, setLongClickable, setMeasuredDimension, setMinimumHeight, setMinimumWidth, setNestedScrollingEnabled, setNextClusterForwardId, setNextFocusDownId, setNextFocusForwardId, setNextFocusLeftId, setNextFocusRightId, setNextFocusUpId, setNotifyAutofillManagerOnClick, setOnApplyWindowInsetsListener, setOnCapturedPointerListener, setOnClickListener, setOnContextClickListener, setOnCreateContextMenuListener, setOnDragListener, setOnFocusChangeListener, setOnGenericMotionListener, setOnHoverListener, setOnKeyListener, setOnLongClickListener, setOnScrollChangeListener, setOnSystemUiVisibilityChangeListener, setOnTouchListener, setOpticalInsets, setOutlineAmbientShadowColor, setOutlineProvider, setOutlineSpotShadowColor, setOverScrollMode, setPadding, setPaddingRelative, setPivotX, setPivotY, setPointerIcon, setPressed, setRevealClip, setRevealOnFocusHint, setRight, setRotation, setRotationX, setRotationY, setSaveEnabled, setSaveFromParentEnabled, setScaleX, setScaleY, setScreenReaderFocusable, setScrollBarDefaultDelayBeforeFade, setScrollBarFadeDuration, setScrollbarFadingEnabled, setScrollBarSize, setScrollBarStyle, setScrollContainer, setScrollIndicators, setScrollIndicators, setScrollX, setScrollY, setSelected, setSoundEffectsEnabled, setStateListAnimator, setSystemUiVisibility, setTag, setTag, setTagInternal, setTextAlignment, setTextDirection, setTooltip, setTooltipText, setTop, setTouchDelegate, setTransitionAlpha, setTransitionName, setTransitionVisibility, setTranslationX, setTranslationY, setTranslationZ, setVerticalFadingEdgeEnabled, setVerticalScrollBarEnabled, setVerticalScrollbarPosition, setWillNotCacheDrawing, setWillNotDraw, setX, setY, setZ, showContextMenu, showContextMenu, startActionMode, startActionMode, startActivityForResult, startAnimation, startDrag, startDragAndDrop, startMovingTask, startNestedScroll, stopNestedScroll, toGlobalMotionEvent, toLocalMotionEvent, toString, transformFromViewToWindowSpace, transformMatrixToGlobal, transformMatrixToLocal, unscheduleDrawable, unscheduleDrawable, updateDisplayListIfDirty, updateDragShadow, verifyDrawable, willNotCacheDrawing, willNotDraw`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.flutter.plugin.mouse.MouseCursorPlugin.MouseCursorViewDelegate

      `setPointerIcon`

- - ### Constructor Detail

    - #### FlutterView

          public FlutterView(Context context)

      Deprecated.

    - #### FlutterView

          public FlutterView(Context context,
                             AttributeSet attrs)

      Deprecated.

    - #### FlutterView

          public FlutterView(Context context,
                             AttributeSet attrs,
                             FlutterNativeView nativeView)

      Deprecated.

  - ### Method Detail

    - #### getDartExecutor

          @NonNull
          public DartExecutor getDartExecutor()

      Deprecated.

    - #### dispatchKeyEvent

          public boolean dispatchKeyEvent(KeyEvent event)

      Deprecated.
      Overrides:
        `dispatchKeyEvent` in class `View`

    - #### getFlutterNativeView

          public FlutterNativeView getFlutterNativeView()

      Deprecated.

    - #### getPluginRegistry

          public FlutterPluginRegistry getPluginRegistry()

      Deprecated.

    - #### getLookupKeyForAsset

          public String getLookupKeyForAsset(String asset)

      Deprecated.

    - #### getLookupKeyForAsset

          public String getLookupKeyForAsset(String asset,
                                             String packageName)

      Deprecated.

    - #### addActivityLifecycleListener

          public void addActivityLifecycleListener(ActivityLifecycleListener listener)

      Deprecated.

    - #### onStart

          public void onStart()

      Deprecated.

    - #### onPause

          public void onPause()

      Deprecated.

    - #### onPostResume

          public void onPostResume()

      Deprecated.

    - #### onStop

          public void onStop()

      Deprecated.

    - #### onMemoryPressure

          public void onMemoryPressure()

      Deprecated.

    - #### hasRenderedFirstFrame

          public boolean hasRenderedFirstFrame()

      Deprecated.
      Returns true if the Flutter experience associated with this `FlutterView` has rendered its first frame, or false otherwise.

    - #### addFirstFrameListener

          public void addFirstFrameListener(FlutterView.FirstFrameListener listener)

      Deprecated.
      Provide a listener that will be called once when the FlutterView renders its first frame to the underlaying SurfaceView.

    - #### removeFirstFrameListener

          public void removeFirstFrameListener(FlutterView.FirstFrameListener listener)

      Deprecated.
      Remove an existing first frame listener.

    - #### enableTransparentBackground

          @Deprecated
          public void enableTransparentBackground()

      Deprecated. FlutterView in the v1 embedding is always a SurfaceView and will cover accessibility highlights when transparent. Consider migrating to the v2 Android embedding, using `FlutterView.RenderMode.texture`, and setting `FlutterView.TransparencyMode.transparent`. See also https://github.com/flutter/flutter/wiki/Upgrading-pre-1.12-Android-projects.
      Updates this to support rendering as a transparent `SurfaceView`.

      Sets it on top of its window. The background color still needs to be controlled from within the Flutter UI itself.

    - #### disableTransparentBackground

          public void disableTransparentBackground()

      Deprecated.
      Reverts this back to the `SurfaceView` defaults, at the back of its window and opaque.

    - #### setInitialRoute

          public void setInitialRoute(String route)

      Deprecated.

    - #### pushRoute

          public void pushRoute(String route)

      Deprecated.

    - #### popRoute

          public void popRoute()

      Deprecated.

    - #### onConfigurationChanged

          protected void onConfigurationChanged(Configuration newConfig)

      Deprecated.
      Overrides:
        `onConfigurationChanged` in class `View`

    - #### detach

          public FlutterNativeView detach()

      Deprecated.

    - #### destroy

          public void destroy()

      Deprecated.

    - #### onCreateInputConnection

          public InputConnection onCreateInputConnection(EditorInfo outAttrs)

      Deprecated.
      Overrides:
        `onCreateInputConnection` in class `View`

    - #### checkInputConnectionProxy

          public boolean checkInputConnectionProxy(View view)

      Deprecated.
      Overrides:
        `checkInputConnectionProxy` in class `View`

    - #### onProvideAutofillVirtualStructure

          public void onProvideAutofillVirtualStructure(ViewStructure structure,
                                                        int flags)

      Deprecated.
      Overrides:
        `onProvideAutofillVirtualStructure` in class `View`

    - #### autofill

          public void autofill(SparseArray<AutofillValue> values)

      Deprecated.
      Overrides:
        `autofill` in class `View`

    - #### onTouchEvent

          public boolean onTouchEvent(MotionEvent event)

      Deprecated.
      Overrides:
        `onTouchEvent` in class `View`

    - #### onHoverEvent

          public boolean onHoverEvent(MotionEvent event)

      Deprecated.
      Overrides:
        `onHoverEvent` in class `View`

    - #### onGenericMotionEvent

          public boolean onGenericMotionEvent(MotionEvent event)

      Deprecated.
      Invoked by Android when a generic motion event occurs, e.g., joystick movement, mouse hover, track pad touches, scroll wheel movements, etc.

      Flutter handles all of its own gesture detection and processing, therefore this method forwards all `MotionEvent` data from Android to Flutter.

      Overrides:
        `onGenericMotionEvent` in class `View`

    - #### onSizeChanged

          protected void onSizeChanged(int width,
                                       int height,
                                       int oldWidth,
                                       int oldHeight)

      Deprecated.
      Overrides:
        `onSizeChanged` in class `View`

    - #### onApplyWindowInsets

          public final WindowInsets onApplyWindowInsets(WindowInsets insets)

      Deprecated.
      Overrides:
        `onApplyWindowInsets` in class `View`

    - #### fitSystemWindows

          protected boolean fitSystemWindows(Rect insets)

      Deprecated.
      Overrides:
        `fitSystemWindows` in class `View`

    - #### runFromBundle

          public void runFromBundle(FlutterRunArguments args)

      Deprecated.

    - #### getBitmap

          public Bitmap getBitmap()

      Deprecated.
      Return the most recent frame as a bitmap.
      Returns:
        A bitmap.

    - #### onFirstFrame

          public void onFirstFrame()

      Deprecated.

    - #### onAttachedToWindow

          protected void onAttachedToWindow()

      Deprecated.
      Overrides:
        `onAttachedToWindow` in class `SurfaceView`

    - #### onDetachedFromWindow

          protected void onDetachedFromWindow()

      Deprecated.
      Overrides:
        `onDetachedFromWindow` in class `SurfaceView`

    - #### getAccessibilityNodeProvider

          public AccessibilityNodeProvider getAccessibilityNodeProvider()

      Deprecated.
      Overrides:
        `getAccessibilityNodeProvider` in class `View`

    - #### getSystemPointerIcon

          @NonNull
          public PointerIcon getSystemPointerIcon(int type)

      Deprecated.
      Description copied from interface: `io.flutter.plugin.mouse.MouseCursorPlugin.MouseCursorViewDelegate`
      Gets a system pointer icon object for the given `type`.

      If typeis not recognized, returns the default pointer icon.

      This is typically implemented by calling `PointerIcon.getSystemIcon` with the context associated with this view.

      Specified by:
        `getSystemPointerIcon` in interface `io.flutter.plugin.mouse.MouseCursorPlugin.MouseCursorViewDelegate`

    - #### send

          @UiThread
          public void send(String channel,
                                     ByteBuffer message)

      Deprecated.
      Description copied from interface: `BinaryMessenger`
      Sends a binary message to the Flutter application.
      Specified by:
        `send` in interface `BinaryMessenger`
      Parameters:
        `channel` - the name `String` of the logical channel used for the message.
        `message` - the message payload, a direct-allocated `ByteBuffer` with the message bytes between position zero and current position, or null.

    - #### send

          @UiThread
          public void send(String channel,
                                     ByteBuffer message,
                                     BinaryMessenger.BinaryReply callback)

      Deprecated.
      Description copied from interface: `BinaryMessenger`
      Sends a binary message to the Flutter application, optionally expecting a reply.

      Any uncaught exception thrown by the reply callback will be caught and logged.

      Specified by:
        `send` in interface `BinaryMessenger`
      Parameters:
        `channel` - the name `String` of the logical channel used for the message.
        `message` - the message payload, a direct-allocated `ByteBuffer` with the message bytes between position zero and current position, or null.
        `callback` - a `BinaryMessenger.BinaryReply` callback invoked when the Flutter application responds to the message, possibly null.

    - #### setMessageHandler

          @UiThread
          public void setMessageHandler(String channel,
                                                  BinaryMessenger.BinaryMessageHandler handler)

      Deprecated.
      Description copied from interface: `BinaryMessenger`
      Registers a handler to be invoked when the Flutter application sends a message to its host platform.

      Registration overwrites any previous registration for the same channel name. Use a null handler to deregister.

      If no handler has been registered for a particular channel, any incoming message on that channel will be handled silently by sending a null reply.

      Specified by:
        `setMessageHandler` in interface `BinaryMessenger`
      Parameters:
        `channel` - the name `String` of the channel.
        `handler` - a `BinaryMessenger.BinaryMessageHandler` to be invoked on incoming messages, or null.

    - #### createSurfaceTexture

          public TextureRegistry.SurfaceTextureEntry createSurfaceTexture()

      Deprecated.
      Description copied from interface: `TextureRegistry`
      Creates and registers a SurfaceTexture managed by the Flutter engine.
      Specified by:
        `createSurfaceTexture` in interface `TextureRegistry`
      Returns:
        A SurfaceTextureEntry.